Bug 42926 - [Android] TableSection without Title is rendered as empty TextCell
Summary: [Android] TableSection without Title is rendered as empty TextCell
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.1
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-07-29 15:53 UTC by Michael Rumpler
Modified: 2016-12-06 12:04 UTC (History)
2 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Michael Rumpler 2016-07-29 15:53:52 UTC
If you have a TableSection without a Title, then iOS suppresses the section header.

On Android, the header cell is rendered as a standard TextCell and the Text remains empty. This results in a big empty space followed by a divider line in the Accent color which cannot be removed either.

In https://bugzilla.xamarin.com/show_bug.cgi?id=26104 (which was filed 1.5 years ago for XF 1.3.1) rj.lala@belastingdienst.nl described a workaround which removes the empty TextCell after it was created by the TableViewModelRenderer. But 1) the workaround is ugly and 2) the divider line is not removed.

This has to be fixed in TableViewModelRenderer.GetCellForPosition which is unfortunately private and cannot be overridden by the user.
Comment 1 Michael Rumpler 2016-08-09 09:22:46 UTC
I submitted a PR to fix this issue: https://github.com/xamarin/Xamarin.Forms/pull/287
Comment 2 Rui Marinho 2016-12-06 12:04:34 UTC
Should be fixed in 2.3.4-pre2